/* 
Тестировалось на Arduino IDE 1.8.5
Дата тестирования 28.03.2019г.
*/ 
 
#include <SoftwareSerial.h>
SoftwareSerial mySerial(3, 2);          // Выводы SIM800L Tx &amp; Rx подключены к выводам Arduino 3 и 2
 
void setup()
{
  Serial.begin(19200);                   // Инициализация последовательной связи с Arduino и Arduino IDE (Serial Monitor)
  mySerial.begin(19200);                 // Инициализация последовательной связи с Arduino и SIM800L
  Serial.println("Initializing...");     // Печать текста
  delay(1000);                           // Пауза 1 с
 
  mySerial.println("AT");                // Отправка команды AT
  updateSerial();

  mySerial.println("AT+CMGF=1");                        // Выбирает формат SMS
  updateSerial();
  mySerial.println("AT+CMGS=\"+7xxxxxxxxxx\"");         // Отправка СМС на указанный номер
  updateSerial();
  mySerial.print("Hello from the site | RobotChip.ru"); // Тест сообщения
  updateSerial();
  mySerial.write(26);
}

void loop()
{
  updateSerial();
}
 
void updateSerial()
{
  delay(500);                            // Пауза 500 мс
  while (Serial.available()) 
  {
    mySerial.write(Serial.read());       // Переадресация с последовательного порта SIM800L на последовательный порт Arduino IDE
  }
  while(mySerial.available()) 
  {
    Serial.write(mySerial.read());       // Переадресация c Arduino IDE на последовательный порт SIM800L
  }
}
